Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../chunk-BN4qSVkS.cjs");
let react_device_detect = require("react-device-detect");
//#region src/hooks/useMaxScaleIOS.tsx
function useMaxScaleIOS() {
	function addMaximumScaleToMetaViewport() {
		const el = document.querySelector("meta[name=viewport]");
		if (el !== null) {
			let content = el.getAttribute("content");
			const re = /maximum-scale=[0-9.]+/g;
			if (content) {
				if (re.test(content)) content = content.replace(re, "maximum-scale=1.0");
				else content = [content, "maximum-scale=1.0"].join(", ");
				el.setAttribute("content", content);
			}
		}
	}
	const disableIosTextFieldZoom = addMaximumScaleToMetaViewport;
	if (react_device_detect.isIOS) disableIosTextFieldZoom();
}
//#endregion
exports.useMaxScaleIOS = useMaxScaleIOS;
